﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek THS700x (1 yr) DMM DCV VER RS-232 /9100
INSTRUMENT:            Sub Tek THS700x (1 yr) DMM ACV VER RS-232 /9100
INSTRUMENT:            Sub Tek THS700x (1 yr) DMM Resistance VER RS-232 /9100
DATE:                  2010-08-26 08:04:27
AUTHOR:                Fluke
REVISION:              $Revision: 19178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       23
NUMBER OF LINES:       309
CONFIGURATION:         Datron 9100
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        THS710A, THS720A, THS730A, THS720P
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek THS700x DMM Measure RS-232
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  PORT         *RST;*OPC?[I!]

  1.002  JMPL         DCV                          PSUBI("DCV")
  1.003  JMPL         ACV                          PSUBI("ACV")
  1.004  JMPL         OHM                          PSUBI("Resistance")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

# ********************** DC VOLTAGE ************************************

  2.001  LABEL        DCV
  2.002  RSLT         =
  2.003  HEAD         {DMM DCV MEASUREMENT ACCURACY}
  2.004  RSLT         =
  2.005  HEAD         -2{400 mV Range}
  2.006  TARGET       -p
  2.007  DISP         Make the following connections:
  2.007  DISP
  2.007  DISP         [32]  9100A        to     UUT
  2.007  DISP         [32]  Normal HI --------> DMM/EXT TRIG
  2.007  DISP         [32]  Normal LO --------> COM
  2.008  PORT         DIS:MOD MET
  2.008  PORT         DMM:FUNC DCV
  2.009  PORT         DMM:PROB:UNIT VOL
  2.010  PORT         DMM:VOLTSSCALE:UNI VOLTS
  2.011  PORT         DMM:RANGE:DCV 400E-3;*OPC?[I!]
  2.012  9100         60.0mV                                            S  2W
  2.013  WAIT         -t 2 UUT Setting...
  2.014  TARGET       -m
  2.015  CALL         Sub Tek THS700x DMM Measure RS-232
  2.016  MATH         MEM = @DMM_Meas / 1E-3
  2.017  MEMCX  400   60.0mV         0.8U

  3.001  9100         360.0mV                                           S  2W
  3.002  WAIT         -t 2 UUT Setting...
  3.003  TARGET       -m
  3.004  CALL         Sub Tek THS700x DMM Measure RS-232
  3.005  MATH         MEM = @DMM_Meas / 1E-3
  3.006  MEMCX  400   360.0mV        2.3U

  4.001  RSLT         =
  4.002  HEAD         -2{4 V Range}
  4.003  TARGET       -p
  4.004  PORT         DMM:RANGE:DCV 4;*OPC?[I!]
  4.005  9100         3.600V                                            S  2W
  4.006  WAIT         -t 2 UUT Setting...
  4.007  TARGET       -m
  4.008  CALL         Sub Tek THS700x DMM Measure RS-232
  4.009  MATH         MEM = @DMM_Meas
  4.010  MEMCX  4     3.600V         0.023U

  5.001  RSLT         =
  5.002  HEAD         -2{40 V Range}
  5.003  TARGET       -p
  5.004  PORT         DMM:RANGE:DCV 40;*OPC?[I!]
  5.005  TARGET       -m
  5.006  9100         36.00V                                            S  2W
  5.007  WAIT         -t 2 UUT Setting...
  5.008  CALL         Sub Tek THS700x DMM Measure RS-232
  5.009  MATH         MEM = @DMM_Meas
  5.010  MEMCX  40    36.00V         0.23U

  6.001  RSLT         =
  6.002  HEAD         -2{400 V Range}
  6.003  TARGET       -p
  6.004  PORT         DMM:RANGE:DCV 400;*OPC?[I!]
  6.005  9100         360.0V                                            S  2W
  6.006  WAIT         -t 2 UUT Setting...
  6.007  TARGET       -m
  6.008  CALL         Sub Tek THS700x DMM Measure RS-232
  6.009  MATH         MEM = @DMM_Meas
  6.010  MEMCX  400   360.0V         2.3U

  7.001  RSLT         =
  7.002  HEAD         -2{880 V Range}
  7.003  TARGET       -p
  7.004  PORT         DMM:RANGE:DCV 880;*OPC?[I!]
  7.005  9100         792V                                              S  2W
  7.006  WAIT         -t 2 UUT Setting...
  7.007  TARGET       -m
  7.008  CALL         Sub Tek THS700x DMM Measure RS-232
  7.009  MATH         MEM = @DMM_Meas
  7.010  MEMCX  880   792V           9U

  8.001  HEAD         -2
  8.002  HEAD
  8.003  9100         *                                                 S
  8.004  END

  8.005  EVAL   Increment step number

# ********************** AC VOLTAGE ************************************

  9.001  LABEL        ACV
  9.002  RSLT         =
  9.003  HEAD         {DMM ACV MEASUREMENT ACCURACY}
  9.004  RSLT         =
  9.005  HEAD         -2{400 mV Range}
  9.006  TARGET       -p
  9.007  PORT         DIS:MOD MET
  9.007  PORT         DMM:FUNC ACV
  9.008  PORT         DMM:PROB:UNIT VOL
  9.009  PORT         DMM:VOLTSSCALE:UNI VOLTS
  9.010  PORT         DMM:RANGE:ACV 400E-3;*OPC?[I!]
  9.011  9100         360.0mV                      500H           SI    S  2W
  9.012  WAIT         -t 2 UUT Setting...
  9.013  TARGET       -m
  9.014  CALL         Sub Tek THS700x DMM Measure RS-232
  9.015  MATH         MEM = @DMM_Meas / 1E-3
  9.016  MEMCX  400   360.0mV        7.7U          500Hz

 10.001  RSLT         =
 10.002  HEAD         -2{4 V Range}
 10.003  TARGET       -p
 10.004  PORT         DMM:RANGE:ACV 4;*OPC?[I!]
 10.005  9100         0.600V                       500H           SI    S  2W
 10.006  WAIT         -t 2 UUT Setting...
 10.007  TARGET       -m
 10.008  CALL         Sub Tek THS700x DMM Measure RS-232
 10.009  MATH         MEM = @DMM_Meas
 10.010  MEMCX  4     0.600V         0.017U        500Hz

 11.001  9100         3.600V                       500H           SI    S  2W
 11.002  WAIT         -t 2 UUT Setting...
 11.003  CALL         Sub Tek THS700x DMM Measure RS-232
 11.004  MATH         MEM = @DMM_Meas
 11.005  MEMCX  4     3.600V         0.077U        500Hz

 12.001  RSLT         =
 12.002  HEAD         -2{40 V Range}
 12.003  TARGET       -p
 12.004  PORT         DMM:RANGE:ACV 40;*OPC?[I!]
 12.005  9100         36.00V                       500H           SI    S  2W
 12.006  WAIT         -t 2 UUT Setting...
 12.007  TARGET       -m
 12.008  CALL         Sub Tek THS700x DMM Measure RS-232
 12.009  MATH         MEM = @DMM_Meas
 12.010  MEMCX  40    36.00V         0.77U         500Hz

 13.001  RSLT         =
 13.002  HEAD         -2{400 V Range}
 13.003  TARGET       -p
 13.004  PORT         DMM:RANGE:ACV 400;*OPC?[I!]
 13.005  9100         360.0V                       500H           SI    S  2W
 13.006  WAIT         -t 2 UUT Setting...
 13.007  TARGET       -m
 13.008  CALL         Sub Tek THS700x DMM Measure RS-232
 13.009  MATH         MEM = @DMM_Meas
 13.010  MEMCX  400   360.0V         7.7U          500Hz

 14.001  RSLT         =
 14.002  HEAD         -2{640 V Range}
 14.003  TARGET       -p
 14.004  PORT         DMM:RANGE:ACV 640;*OPC?[I!]
 14.005  9100         576V                         500H           SI    S  2W
 14.006  WAIT         -t 2 UUT Setting...
 14.007  TARGET       -m
 14.008  CALL         Sub Tek THS700x DMM Measure RS-232
 14.009  MATH         MEM = @DMM_Meas
 14.010  MEMCX  640   576V           17U           500Hz

 15.001  HEAD         -2
 15.002  HEAD
 15.003  9100         *                                                 S
 15.004  END

 15.005  EVAL   Increment step number

# ********************** Resistance ************************************

 16.001  LABEL        OHM
 16.002  RSLT         =
 16.003  HEAD         {DMM RESISTANCE MEASUREMENT ACCURACY}
 16.004  RSLT         =
 16.005  HEAD         -2{400 Ohm Range}
 16.006  M9100                                                             HI
 16.007  TARGET       -p
 16.008  PORT         DIS:MOD MET
 16.008  PORT         DMM:FUNC OHM
 16.009  PORT         DMM:RANGE:OHMS 400;*OPC?[I!]
 16.010  9100         360.0Z                                            S  2W
 16.011  WAIT         -t 2 UUT Setting...
 16.012  TARGET       -m
 16.013  CALL         Sub Tek THS700x DMM Measure RS-232
 16.014  MATH         MEM = @DMM_Meas
 16.015  MEMCX  400   360.0Z         2.0U

 17.001  RSLT         =
 17.002  HEAD         -2{4 kOhm Range}
 17.003  M9100                                                             LO
 17.004  TARGET       -p
 17.005  PORT         DMM:RANGE:OHMS 4E3;*OPC?[I!]
 17.006  9100         3.600kZ                                           S  2W
 17.007  WAIT         -t 2 UUT Setting...
 17.008  TARGET       -m
 17.009  CALL         Sub Tek THS700x DMM Measure RS-232
 17.010  MATH         MEM = @DMM_Meas / 1E+3
 17.011  MEMCX  4     3.600kZ        0.020U

 18.001  RSLT         =
 18.002  HEAD         -2{40 kOhm Range}
 18.003  TARGET       -p
 18.004  PORT         DMM:RANGE:OHMS 40E3;*OPC?[I!]
 18.005  9100         6.00kZ                                            S  2W
 18.006  WAIT         -t 2 UUT Setting...
 18.007  TARGET       -m
 18.008  CALL         Sub Tek THS700x DMM Measure RS-232
 18.009  MATH         MEM = @DMM_Meas / 1E+3
 18.010  MEMCX  40    6.00kZ         0.05U

 19.001  9100         36.00kZ                                           S  2W
 19.002  WAIT         -t 2 UUT Setting...
 19.003  TARGET       -m
 19.004  CALL         Sub Tek THS700x DMM Measure RS-232
 19.005  MATH         MEM = @DMM_Meas / 1E+3
 19.006  MEMCX  40    36.00kZ        0.20U

 20.001  RSLT         =
 20.002  HEAD         -2{400 kOhm Range}
 20.003  TARGET       -p
 20.004  PORT         DMM:RANGE:OHMS 400E3;*OPC?[I!]
 20.005  9100         360.0kZ                                           S  2W
 20.006  WAIT         -t 2 UUT Setting...
 20.007  TARGET       -m
 20.008  CALL         Sub Tek THS700x DMM Measure RS-232
 20.009  MATH         MEM = @DMM_Meas / 1E+3
 20.010  MEMCX  400   360.0kZ        2.0U

 21.001  RSLT         =
 21.002  HEAD         -2{4 MOhm Range}
 21.003  TARGET       -p
 21.004  PORT         DMM:RANGE:OHMS 4E6;*OPC?[I!]
 21.005  9100         3.600MZ                                           S  2W
 21.006  WAIT         -t 2 UUT Setting...
 21.007  TARGET       -m
 21.008  CALL         Sub Tek THS700x DMM Measure RS-232
 21.009  MATH         MEM = @DMM_Meas / 1E+6
 21.010  MEMCX  4     3.600MZ        2.020U

 22.001  RSLT         =
 22.002  HEAD         -2{40 MOhm Range}
 22.003  M9100                                                             HI
 22.004  TARGET       -p
 22.005  PORT         DMM:RANGE:OHMS 40E6;*OPC?[I!]
 22.006  9100         36.00MZ                                           S  2W
 22.007  WAIT         -t 10 UUT Setting...
 22.008  TARGET       -m
 22.009  CALL         Sub Tek THS700x DMM Measure RS-232
 22.010  MATH         MEM = @DMM_Meas / 1E+6
 22.011  MEMCX  40    36.00MZ        0.77U

 23.001  HEAD         -2
 23.002  HEAD
 23.003  M9100        *
 23.004  9100         *                                                 S
 23.005  END
